require "json"

Pod::Spec.new do |s|
    package = JSON.parse(File.read(File.join(File.dirname(__FILE__), "package.json")))

    s.name                  = "React-Repro"
    s.version               = package["version"]
    s.summary               = package["description"]
    s.homepage              = "https://repro.io"
    s.license               = "See ./LICENSE"

    s.author                = { package["author"]["name"] => package["author"]["email"] }
    s.platforms             = { :ios => "10.0" }
    s.source                = { :git => "https://github.com/reproio/repro-ios-sdk", :tag => "local_link_only" }

    s.source_files          = "ios/*.{h,m}"

    s.vendored_frameworks   = "sdk-ios/Repro.xcframework"

    s.frameworks            = 'UIKit', 'CoreGraphics', 'QuartzCore', 'SystemConfiguration', 'WebKit', 'UserNotifications'

    s.dependency  "React"
end

