
package io.repro.android.reactbridge;

import android.net.Uri;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.modules.core.DeviceEventManagerModule;

import io.repro.android.Repro;


public class ReproEventEmitterOpenUrl extends ReactContextBaseJavaModule {

    private final ReactApplicationContext reactContext;

    public ReproEventEmitterOpenUrl(ReactApplicationContext reactContext) {
        super(reactContext);
        this.reactContext = reactContext;
    }

    // private void sendEvent(String eventName, @Nullable WritableMap params) {
    private void sendEvent(String eventName, Object parameter) {
        this.reactContext
            .getJSModule(DeviceEventManagerModule.RCTDeviceEventEmitter.class)
            .emit(eventName, parameter);
    }

    @Override
    public String getName() {
        return "RPREventEmitterOpenUrl";
    }

    @ReactMethod
    public void addListener(String eventName) {
        Repro.setOpenUrlCallback(new Repro.OpenUrlCallback() {
            @Override
            public void onOpened(Uri uri) {
                sendEvent("__RPR__openUrlCallback", uri.toString());
            }
        });
    }

    @ReactMethod
    public void removeListeners(Integer count) {
        Repro.setOpenUrlCallback(null);
    }
}



